import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileInputStream;

import javax.imageio.ImageIO;

import sdt.brc.BarcodeReader;
import sdt.brc.BarcodeReaderResult;


public class BarcodeReaderTest {

	/**
	 * @param args
	 */
	public static void main(String[] args)
	{
		BarcodeReader theReader = new BarcodeReader("License Key");
		if(theReader != null) {

			try {
				theReader.setReadInputDirections(BarcodeReader.SDTREADDIRECTION_LTR | BarcodeReader.SDTREADDIRECTION_RTL);
				theReader.setReadInputTypes(BarcodeReader.SDTBARCODE_ALL_1D);

				int resultsCount = 0;

				//Read file directly
				System.out.println("Read file.");
				resultsCount = theReader.readFile("../../images/EAN13.jpg", 0);
				if(resultsCount > 0) {
					resultsCount = theReader.getResultsCount();

					for(int i = 0; i < resultsCount; i++) {
						BarcodeReaderResult result = theReader.getResultAt(i);
						if(result != null) {
							String sValue = result.getValue();
							System.out.println("Recognized barcode: " + sValue);
						}
					}
				}


;				//Read from buffered image
				System.out.println("Read buffered image.");
				BufferedImage l_oBuffImg = null;

				try {
				    File f = new File("../../images/EAN13.jpg");
				    l_oBuffImg = ImageIO.read(f);

				}catch(Exception exx) {
					l_oBuffImg = null;
					System.out.println("File not found");
				}


				if(l_oBuffImg != null) {
					resultsCount = theReader.readBufferedImage(l_oBuffImg);
				}


				if(resultsCount > 0) {
					resultsCount = theReader.getResultsCount();

					for(int i = 0; i < resultsCount; i++) {
						BarcodeReaderResult result = theReader.getResultAt(i);
						if(result != null) {
							String sValue = result.getValue();
							System.out.println("Recognized barcode: " + sValue);
						}
					}
				}
			}catch(Exception e){
				System.out.println(e.getMessage());
			}
		}
		theReader = null;
		System.gc();
		System.runFinalization();

	}

}
