//============================================================================
// Name        : sdt-brc-sample.cpp
// Author      : SD-TOOLKIT
// Version     :
// Copyright   : Copyright (c) SD-TOOLKIT
// Description : Barcode reading sample 
//============================================================================

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <wchar.h>
#include "sdtbarcode.h"

int main() {

    LPSDBARREADER rdr = SDTCreateBarcodeReader(L"Developer License");

    if( rdr != NULL)
    {
	printf("Starting...\n");

        unsigned long nRes = SDTSetReadInputTypes( rdr, SDTBARCODETYPE_ALL_1D);
        if(nRes == 0)
        {
        	nRes = SDTSetReadInputDirections( rdr, SDTREADDIRECTION_LTR);
        }
        if(nRes == 0 )
        {
		nRes = SDTReadImageFileA(rdr, "../../images/test3.jpg", 0);
		if(nRes != 0)
		{
			printf("Error reading image file: %d\n", nRes);
		}
        }

        if(nRes == 0)
        {
        	int iResCnt = SDTGetResultsCount(rdr);

		if(iResCnt == 0)
		{
			printf("No barcode symbols found\n");
		}
		else
		{
			printf("The following barcode symbols found\n");
			for(int pos = 0; pos <  iResCnt; pos++)
			{
				const char* pchTypeName = SDTGetResultTypeNameA(rdr, pos);
				const char* pchValue = SDTGetResultValueA(rdr, pos);
				if(pchValue != NULL)
				{
				    printf("Type:%s, Value %s\n", pchTypeName, pchValue);
				}
			}
		}
        }
        SDTDestroyBarcodeReader(rdr);
        rdr = NULL;

	printf("Finished.\n");
    }

	return 0;
}
